;Lotus Notes scripts
;Created by Ability Consulting (ACS) in April 1998

Include "hjglobal.jsh" ; default HJ global variables
Include "hjconst.jsh" ; default HJ constants
include "default.jsm" ; message file

Globals
	Int iCounter, ;Used in while loops
	Int CurrRow, ;Used on database screen
	String BottomLine, ;Used in reading notes
	Int FromSubject, ;Used to determine if read the note from top or subject
	Int PagingDown, ;Used to determine if we should look for end of prior page
	String CurrItem, ;Used to determine where to go back to
	Int TryLook ;Used to determine if we should look for remembered item

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; User Defined Scripts Section
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;Insert+Q
Script ScriptFileName ()
ScriptAndAppNames("lotus notes")
EndScript

;Control+Shift+T
Script GoToTop ()
Let CurrItem = ""
FindTheTop ()
EndScript

;Control+Shift+R
Script ReadTheNote ()
Let TryLook = True
JAWSCursor ()
RouteJawsToPC ()
If (GetWindowClass (GetCurrentWindow ()) == "IRIS.bmpbutton") || (GetWindowClass (GetCurrentWindow ()) == "NotesRichText") Then
;	SayString ("note window")
	If ToggleRestriction() == On then
		ToggleRestriction ()
	EndIf
	If PagingDown Then
		FindString (GetCurrentWindow (), BottomLine, S_BOTTOM, S_RESTRICTED) 
		NextLine ()
		Let PagingDown = False
	ElIf FromSubject Then
		FindString (GetCurrentWindow (), "Subject:", S_BOTTOM, S_RESTRICTED)
	EndIf
	Let iCounter = 1
	While (GetWindowClass (GetCurrentWindow ()) != "StatusWindow") && (iCounter < 28)
		SayLine ()
		NextLine ()
		Let iCounter = iCounter + 1
	EndWhile
	SayString ("end of page")
	Let iCounter = 1
	While (GetWindowClass (GetCurrentWindow ()) == "StatusWindow") && (iCounter < 3)
		PriorLine ()
		Let iCounter = iCounter + 1
	EndWhile
	JAWSHome ()
If GetCursorCol () > 700 Then
	PriorLine ()
EndIf
	Let BottomLine = GetChunk ()
ElIf StringContains (GetWindowName (GetRealWindow (GetCurrentWindow ())), "New Memo") Then
	SaveCursor ()
	If ToggleRestriction() == Off then
		ToggleRestriction ()
	EndIf
	JAWSCursor ()
	RouteJAWSToPC ()
	JAWSPageUp ()
	If ToggleRestriction() == On then
		ToggleRestriction ()
	EndIf
	NextLine ()
	NextLine ()
	Let iCounter = 1
	While (GetWindowClass (GetCurrentWindow ()) != "StatusWindow") && (iCounter < 20)
		SayLine ()
		NextLine ()
		Let iCounter = iCounter + 1
	EndWhile
	SayString ("end of page")
Else
	If GetWindowClass (GetCurrentWindow ()) == "NotesRichText" Then
		SayString ("not in the note screen")
	Else
		FindTheTop ()
	EndIf
EndIf
EndScript

Script SayPriorBlock ()
If (StringContains (GetWindowName (GetRealWindow (GetCurrentWindow ())), "Workspace at")) Then
	If MoveTo (GetCursorCol () - 117, CurrRow) Then ;Is there a previous database
		NextLine ()
		If GetChunk () != "" Then ;Is it a blank spot - might be no database here
			MoveTo (GetCursorCol (), CurrRow)
			SayTheBlock ()
		Else
			NextLine ()
			If GetChunk () != "" Then ;Is it a blank spot - might be no database here
				MoveTo (GetCursorCol (), CurrRow)
				SayTheBlock ()
			Else                   ;It is the first on the line
				MoveTo (GetCursorCol (), CurrRow)
;				SayString ("first data base on line")
				If CurrRow != 137 Then ;If not on first line
					Let CurrRow = CurrRow - 103 ;Move to prior line and last database
					MoveTo (705, CurrRow)
					SayTheBlock ()
				Else ;We are on the first line
;				SayString ("first data base")
				FindTheTop ()
				EndIf
			EndIf
		EndIf
	Else ;Move backwards is unsuccessful
		If CurrRow != 137 Then ;If not on first line
			Let CurrRow = CurrRow - 103 ;Move to prior line and last database
			MoveTo (705, CurrRow)
			SayTheBlock ()
		Else ;We are on the first line
			SayString ("first data base")
		EndIf
	EndIf
Else
	SayString ("not on the workspace screen")
EndIf
EndScript

;Control+Shift+C
Script SayCurrentBlock ()
If StringContains (GetWindowName (GetRealWindow (GetCurrentWindow ())), "Workspace at") Then
	SayTheBlock ()
Else
	SayString ("not on the workspace screen")
EndIf
EndScript

Script SayNextBlock ()
If StringContains (GetWindowName (GetRealWindow (GetCurrentWindow ())), "Workspace at") Then
	MoveTo (GetCursorCol () + 117, CurrRow)
	NextLine ()
	If GetChunk () != "" Then ;Not a blank
		MoveTo (GetCursorCol (), CurrRow)
		SayTheBlock ()
	Else ;Might be a blank
		NextLine ()
		If GetChunk () != "" Then ;Not a blank
			MoveTo (GetCursorCol (), CurrRow)
			SayTheBlock ()
		Else ;Is a blank
			MoveTo (GetCursorCol (), CurrRow)
			If GetCursorCol () >900 Then ;Last one at end of line
				If MoveTo (57, CurrRow+103) Then ;Going to next line
					Let CurrRow = GetCursorRow ()
					SayTheBlock ()
				Else ;Last one not at end of line - must the the real last one
					Delay (2)
					MoveTo (GetCursorCol () - 102, CurrRow)
					FindTheTop ()
				EndIf
			Else ;Last one
				MoveTo (GetCursorCol () - 102, CurrRow)
				FindTheTop ()
			EndIf
		EndIf
	EndIf
Else
	SayString ("not on the workspace screen")
EndIf
EndScript

;Control+Shift+S
Script ToggleSubject ()
If FromSubject Then
	Let FromSubject = False
	SayString ("reading whole page")
Else
	Let FromSubject = True
	SayString ("reading from the subject")
EndIf
EndScript

Script StartSearch ()
MoveTo (49,85)
If GetWindowClass (GetCurrentWindow ()) == "IRIS.tedit" Then
	LeftMouseButton ()
	PCCursor ()
	SayString ("enter the search string")
Else
	SayString ("cannot find search field")
EndIf
EndScript

Script ResetList ()
Let CurrItem = ""
SaveCursor ()
If FindString (GetAppMainWindow (GetCurrentWindow ()), "Reset", S_TOP, S_UNRESTRICTED) Then
	If GetWindowClass (GetCurrentWindow ()) == "IRIS.bmpbutton" Then
		LeftMouseButton ()
		SayString ("reset list")
	Else
		SayString ("cannot find reset button")
	EndIf
Else
	SayString ("cannot find reset button")
EndIf
EndScript


Script RunF6 ()
{F6}
Let CurrItem = ""
EndScript

Script NextUnRead ()
If GetControlID (GetFocus ()) == 1001 Then ;In the items list
	Let iCounter = 1
	While (Not StringContains (GetLine (), "un red")) && (iCounter <31) && (Not StringContains (GetLine (), "scroll down symbol")) 
		NextLine ()
		Let iCounter = iCounter + 1
	EndWhile
	If StringContains (GetLine (), "un red") Then
		SayLine ()
		LeftMouseButton ()
	Else
		SayString ("no more un red items on this page")
		FindTheTop ()
	EndIf			
Else
	SayString ("not in the items list")
EndIf
EndScript

Script MoveToBottomItem ()
If GetControlID (GetFocus ()) == 1001 Then ;In the items list
	Let iCounter = 1
	While (iCounter <35) && (Not StringContains (GetLine (), "scroll down symbol")) 
		NextLine ()
		Let iCounter = iCounter + 1
	EndWhile
	If StringContains (GetLine (), "scroll down symbol") Then
		PriorLine ()
		SayString ("last item")
		SayLine ()
		LeftMouseButton ()
	Else
		SayString ("cannot find the bottom item")
		FindTheTop ()
	EndIf			
Else
	SayString ("not in the items list")
EndIf
EndScript


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; Local Scripts Section
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

Script LeftMouseButton ()
If GetControlID (GetFocus ()) == 1000 Then  ;Required for version 6.2 as mouse pointer too low
	MoveTo (GetCursorCol (), GetCursorRow () -10)
	PerformScript LeftMouseButton ()
Else
	PerformScript LeftMouseButton ()
EndIf
EndScript

Script SayBottomLineOfWindow ()
Var
	Int CurrRestrict,
	Int Counter
Let CurrRestrict = GetJcfOption (OPT_RESTRICT)
Let Counter = 1
While (GetJcfOption (OPT_RESTRICT) == 1) && (Counter < 5)
	ToggleRestriction ()
	Let Counter = Counter + 1
EndWhile	
PerformScript SayBottomLineOfWindow ()
While (GetJcfOption (OPT_RESTRICT) != CurrRestrict) && (Counter < 5)
	ToggleRestriction ()
	Let Counter = Counter + 1
EndWhile	
EndScript

;Modified to read notes screens
Script JAWSPageDown ()
If (IsJAWSCursor ()) && ((GetWindowClass (GetFocus ()) == "NotesSubProg") || (GetWindowClass (GetCurrentWindow ()) == "NotesRichText")) Then
	PCCursor ()
	{Page Down}
	Delay (5)
	Let PagingDown = True
	PerformScript ReadTheNote ()
Else
	PerformScript JAWSPageDown ()
EndIf
EndScript

;Modified to read notes screens
Script JAWSPageUp ()
If (IsJAWSCursor ()) && ((GetWindowClass (GetFocus ()) == "NotesSubProg") || (GetWindowClass (GetCurrentWindow ()) == "NotesRichText")) Then
	PCCursor ()
	{Page Up}
	Delay (5)
	PerformScript ReadTheNote ()
Else
	PerformScript JAWSPageUp ()
EndIf
EndScript

;Modified to move focus through the items list
Script SayNextLine ()
If StringContains (GetWindowName (GetRealWindow (GetCurrentWindow ())), "Workspace at") Then
	SayString ("down arrow not allowed on workspace screen")
Else
	PerformScript SayNextLine ()
	If GetWindowClass (GetCurrentWindow ()) == "#32768" Then ;Required by version 6.2 ??????
		SayLine ()
	EndIf
	If ((GetControlID (GetFocus ()) == 1) || (GetControlID (GetFocus ()) == 1001)) && (IsJAWSCursor ()) Then
		If (GetCharacter () == "open folder") || (GetCharacter () == "closed folder") Then ; takes care of inadvertant folder changes
			NextWord ()
		EndIf
		RoutePCToJAWS ()	
		Let CurrItem = GetLine ()
	EndIf
EndIf
EndScript

;Modified to move focus through the items list
Script SayPriorLine ()
If StringContains (GetWindowName (GetRealWindow (GetCurrentWindow ())), "Workspace at") Then
	SayString ("up arrow not allowed on workspace screen")
Else
	PriorLine ()	
	Delay (1)
	If GetWord () == "Who" Then
		NextLine ()
		SayString ("top of list")
	EndIf 
	If GetWindowClass (GetCurrentWindow ()) != "#32768" Then
		SayLine ()
	EndIf
	If ((GetControlID (GetFocus ()) == 1) || (GetControlID (GetFocus ()) == 1001)) && (IsJAWSCursor ()) Then
		If (GetCharacter () == "open folder") || (GetCharacter () == "closed folder") Then ; takes care of inadvertant folder changes
			NextWord ()
		EndIf
		RoutePCToJAWS ()	
		Let CurrItem = GetLine ()
	EndIf
EndIf
EndScript

;Modified for moving through the blocks on the WorkPlace screen
Script SayNextCharacter ()
If StringContains (GetWindowName (GetRealWindow (GetCurrentWindow ())), "Workspace at") Then
	PerformScript SayNextBlock ()
Else
	PerformScript SayNextCharacter ()
EndIf
EndScript

;Modified for moving through the blocks on the WorkPlace screen
Script SayPriorCharacter ()
If StringContains (GetWindowName (GetRealWindow (GetCurrentWindow ())), "Workspace at") Then
	PerformScript SayPriorBlock ()
Else
	PerformScript SayPriorCharacter ()
EndIf
EndScript

;Modified because SayAll doesn't work in Lotus Notus
Script SayAll ()
If IsJAWSCursor () Then
	Let iCounter = 1
	While (GetWindowClass (GetCurrentWindow ()) != "StatusWindow") && (iCounter < 28)
		SayLine ()
		NextLine ()
		Let iCounter = iCounter + 1
	EndWhile
	SayString ("end of page")
Else
	SayString ("use jaws cursor in notes")
EndIf
EndScript

;Modified for the Lotus Notes viewer screen
Script SayPriorWord ()
If (StringContains (GetWindowName (GetAppMainWindow (GetCurrentWindow ())), "File Viewer")) && (IsPCCursor ()) Then
	InvisibleCursor ()
	RouteInvisibleToPC ()
	PriorWord ()
	Delay (1)
	SayWord ()
	PCCursor ()
	RoutePCToInvisible ()
Else
	PerformScript SayPriorWord ()
EndIf
EndScript

;Modified for the Lotus Notes viewer screen
Script SayNextWord ()
If (StringContains (GetWindowName (GetAppMainWindow (GetCurrentWindow ())), "File Viewer")) && (IsPCCursor ()) Then
	InvisibleCursor ()
	RouteInvisibleToPC ()
	NextWord ()
	Delay (1)
	SayWord ()
	PCCursor ()
	RoutePCToInvisible ()
Else
	PerformScript SayNextWord ()
EndIf
EndScript

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; User Defined Functions Section
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

Function AutoStartEvent ()
Let FromSubject = True
Let PagingDown = False
Let CurrItem = ""
Let TryLook = False
EndFunction

;Finds the top of the list or top database
Function FindTheTop ()
Delay (5)
If StringContains (GetWindowName (GetRealWindow (GetCurrentWindow ())), "Workspace at") Then
	Delay (5)  ;Database screen
	JAWSCursor ()
	MoveTo (57,137) ;Position of first database
	Let CurrRow = 137
	SayTheBlock () 
ElIf GetWindowClass (GetFocus ()) == "NotesSubprog" Then
	JAWSCursor ()
	If GetControlID (GetFocus ()) == 1000 Then
		SayString ("folders list")
		RouteJAWSToPC ()
		If StringContains (GetChunk (), "Monica") Then ;Required for version 6.2 as top is the folder category
			NextLine ()
			NextLine ()
		EndIf
		If ToggleRestriction() == Off then
			ToggleRestriction ()
		EndIf
		SayLine ()
	ElIf GetControlID (GetFocus ()) == 1001 Then
		SayString ("items list")
		RouteJAWSToPC ()
		If ToggleRestriction() == Off then
			ToggleRestriction ()
		EndIf
		NextLine ()
		If (GetCharacter () == "open folder") || (GetCharacter () == "closed folder") Then ; takes care of inadvertant folder changes
			NextWord ()
		EndIf
		SayLine ()
		RoutePCToJAWS ()
	ElIf GetControlID (GetFocus ()) == 1 Then
		SayString ("select a folder") ;Move to folder dialog
		RouteJAWSToPC ()
		If ToggleRestriction() == Off then
			ToggleRestriction ()
		EndIf
		SayLine ()
	EndIf
EndIf
EndFunction

;Used to speak the blocks on the WorkPlace screen
Function SayTheBlock ()
If ToggleRestriction() == On then
	ToggleRestriction ()
EndIf
NextLine () ;Say first line
If GetChunk () != "" Then
	SayChunk ()
EndIf
NextLine () ;Say second line
If GetChunk () != "" Then
	SayChunk ()
EndIf
NextLine () ;Check fior third line and say it
If (GetCursorRow () > CurrRow +50) || (GetWindowClass (GetCurrentWindow ()) == "StatusWindow") Then
	Delay (2)
	JAWSCursor ()
	MoveTo (GetCursorCol (), CurrRow)
	RoutePCToJAWS ()
	Return
Else	;Yes there is a third line
	If GetChunk () != "" Then
		SayChunk ()
	EndIf
EndIf
NextLine () ;Check for fourth line and say it
If (GetCursorRow () > CurrRow +50) || (GetWindowClass (GetCurrentWindow ()) == "StatusWindow") Then
	Delay (2)
	JAWSCursor ()
	MoveTo (GetCursorCol (), CurrRow)
	RoutePCToJAWS ()
	Return
Else	;Yes there is a fourth line
	If GetChunk () != "" Then
		SayChunk ()
	EndIf
EndIf
NextLine () ;Check for fifth line
If (GetCursorRow () > CurrRow +50) || (GetWindowClass (GetCurrentWindow ()) == "StatusWindow") Then
	Delay (2)
	JAWSCursor ()
	MoveTo (GetCursorCol (), CurrRow)
	RoutePCToJAWS ()
	Return
Else	;Yes there is a fifth line
	If GetChunk () != "" Then
		SayChunk ()
	EndIf
EndIf
Delay (2) ;Finally bring the focus to this database
JAWSCursor ()
MoveTo (GetCursorCol (), CurrRow)
RoutePCToJAWS ()
EndFunction

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; Local Functions Section
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

Function MenuModeEvent (handle WinHandle, int Mode)
if (mode == MENUBAR_ACTIVE) then
	PCCursor ()
EndIf
MenuModeEvent (WinHandle, Mode)
EndFunction

;Modified to deal with screens
Function FocusChangedEvent (handle FocusWindow, handle PrevWindow)
var
	handle RealWindow,
	string RealWindowName,
	string OldRealWindowName,
	handle AppWindow
Delay (5)
If (GetWindowClass (GetFocus ()) == "NotesSubprog") || (GetWindowClass (GetCurrentWindow ()) == "NotesRichText") Then
;SayString ("at point 1")
	JAWSCursor ()
	RouteJAWSToPC ()
	If (GetWindowClass (GetCurrentWindow ()) == "IRIS.bmpbutton") || (GetWindowClass (GetCurrentWindow ()) == "NotesRichText") Then ;Read the note screen
		PerformScript ReadTheNote ()	
	ElIf StringContains (GetWindowName (GetRealWindow (GetCurrentWindow ())), "New Memo") Then
		PCCursor ()  ;Write a note screen
		SayLine ()
	ElIf StringContains (GetWindowName (GetRealWindow (GetCurrentWindow ())), "New Reply") Then
		PCCursor ()  ;Reply screen
		SayLine ()
	Else
		If GetControlID (GetFocus ()) == 1001 Then ;In the items list
			If TryLook Then
				PerformScript MoveToCurrentItem ()
			Else
				FindTheTop ()
			EndIf
		Else
			FindTheTop ()  ;Folders screen
		EndIf
	EndIf
ElIf GetWindowClass (GetFocus ()) == "button" Then 
;SayString ("at point 2")
	Return
ElIf StringContains (GetWindowName (GetRealWindow (GetCurrentWindow ())), "Workspace at") Then
;SayString ("at point 3")
	Let TryLook = False
	If GetWindowClass (GetFocus ()) == "IRIS.Password" Then ;Password field
		SayString ("enter your password") 
		PCCursor ()
	Else
		Delay (5)  ;Database screen
		JAWSCursor ()
		MoveTo (57,137) ;Position of first database
		Let CurrRow = 137
		SayTheBlock () 
	EndIf
	Let CurrItem = ""
Else
;SayString ("at point 4")
	Let CurrItem = ""
	PCCursor ()
	let RealWindow = GetRealWindow(FocusWindow)
	let RealWindowName = GetWindowName (RealWindow)
	let AppWindow = GetAppMainWindow(FocusWindow)
	if (GlobalPrevApp != AppWindow
	   && AppWindow != FocusWindow) then 
		; we've switched to a different app main window, 
		; and it does not have the focus, so announce it
		SayWindowTypeAndText(AppWindow)
	endif
	If ((GlobalPrevRealName != RealWindowName) ; name has changed
	   || (GlobalPrevReal != RealWindow)) then ; or handle has changed, then
		If ((RealWindow != AppWindow)
		   && (RealWindow != FocusWindow)) then
			SayWindowTypeAndText(RealWindow)
		endif
	EndIf
	;no matter what, say the window with focus
	;but do it by calling a subroutine that can be special for each application, 
	; for example, progman.jms
	let GlobalFocusWindow = FocusWindow
	SayFocusedWindow()  ; will use global variable "GlobalFocusWindow"
	;above perform will return here to finish this routine
	;now set all the global variables for next time.
	let GlobalPrevReal = RealWindow
	let GlobalPrevRealName = RealWindowName
	let GlobalPrevApp = AppWindow
	let GlobalPrevFocus = FocusWindow
EndIf
EndFunction

;Modified to catch the tab and shift tab keys
Function KeyPressedEvent (int iKey, string sKey, int iBrailleKey, int Int)
;SayString ("scan code ") SayInteger (iKey)
;SayString ("name ") SayString (sKey)
;SayString ("braille scan code ") SayInteger (iBrailleKey)
;SayString ("int is ") SayInteger (Int)
If (iKey == 15) || (iKey == 271) Then ;Tab and ShiftTab
	If StringContains (GetWindowName (GetRealWindow (GetCurrentWindow ())), "New Memo") Then
		Delay (2)
		If StringContains (GetLine (), ":") Then
			SayLine ()
		EndIf
	EndIf
EndIf
EndFunction

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; Debug Scripts Section
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

Script SayThColor ()
SayInteger (GetColorText ())
EndScript

Script SayTheRectangle ()
SayString ("running")
SayString (GetTextInFocusRects (GetCurrentWindow ()))
SayFocusRect (GetCurrentWindow ())
EndScript

Script SayTheWindow ()
SayString (CurrItem)
EndScript


Script SayFirstBlock ()
Var
	Int MyRow
JAWSCursor ()
MoveTo (45, 150)
Let MyRow = 120
SayInteger (GetCursorRow ())
;SayChunk ()
;MoveTo (45, MyRow+10)
;Delay (20)
;NextLine ()
;If GetChunk () != "" Then
;	SayChunk ()
;EndIf
;NextLine () ;Say second line
;If GetChunk () != "" Then
;	SayChunk ()
;EndIf
EndScript


Script MoveToCurrentItem ()
If CurrItem == "" Then
	FindTheTop ()
Else
	SpeechOff ()
	FindTheTop ()
	SpeechOn ()
	Let iCounter = 1
	While (Not StringContains (GetLine (), CurrItem)) && (iCounter < 33)
		NextLine ()
		Let iCounter = iCounter + 1
	EndWhile
	If StringContains (GetLine (), CurrItem) Then
		RoutePCToJAWS ()
		SayLine ()
	Else
		SayString ("cannot find the current item")
		FindTheTop ()
	EndIf
EndIf
EndScript
